# PCShellSetView

Sets routine to use as viewer of shell preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCShellSetView(PC pc,PetscErrorCode (*view)(void*,PetscViewer))

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| view | - the application-provided view routine

### Calling sequence of apply

       PetscErrorCode view(void *ptr,PetscViewer v)

| ptr | - the application context
| v | - viewer

### Keywords

PC, shell, set, apply, user-provided

### See Also

PCShellSetApplyRichardson(), PCShellSetSetUp(), PCShellSetApplyTranspose()

Level:developer
Location: src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex24.c.html